/* ==========================================================================
   TOOLS
   ========================================================================== */
:root {
    --blue-bg: #16161B;
}
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', sans-serif;
}

/* ==========================================================================
   GENERAL
   ========================================================================== */
body {
    display: block;
    background-color: #ffffff;
}
.btn{
    display: block;
    width: 245px;
    max-width: 100%;
}
img{
    max-width: 100%;
}

/* ==========================================================================
/* NAVBAR
================================================== */
.navbar {
    /*position: fixed;*/
    /*top: 0;*/
    /*left: 0;*/
    width: 100%;
    height: 70px;
    align-items: center;
    justify-content: start;
    padding-inline: 5rem;
    background-color: #ffffff;
    z-index: 1001;
}

.menu-toggle{
    display: none;
}

.nav-links {
    flex-grow: 1;
    display: flex;
    gap: 1rem;
}

.nav-links a {
    color: var(--text-muted);
    text-decoration: none;
    margin: 0 10px;
    transition: color 0.3s;
    display: flex;
    align-items: center;
    gap: .5rem;
}

.nav-links a.btn-cobertura{
    color: #1A76D2;
    font-weight: 500;
}

.nav-links a.btn-tv{
    color: #F04F98;
    font-weight: 500;
}

.nav-links .active {
    color: var(--primary-blue);
    font-weight: 700;
    text-decoration: underline;
    text-underline-offset: 6px;
}

/* ==========================================================================
/* HERO
================================================== */
.hero{
    background-color: var(--blue-bg);
}
.hero .carousel-indicators{
    bottom: auto;
    top: 100%;
    padding-top: .5rem;
}
.hero .carousel-indicators [data-bs-target]{
    width: 12px;
	height: 12px;
	background-color: #555;
	border-radius: 50%;
}
.hero .carousel-indicators .active{
    background-color: var(--primary-blue);
}

/* CONTENT (intro & slider)
================================================== */
.intro-slider{
    background-color: var(--blue-bg);
    color: #ffffff;
}
.highlights{
    background: linear-gradient(180deg, #16161B 8.26%, #16161B 23.13%, rgba(29, 29, 86, 0.933333) 67.09%, #1D1D56 117.37%);
    color: #ffffff;
    padding-bottom: 9rem;
}
.highlights .grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
}
.highlights .grid > div{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    background-color: #222430;
    border-radius: 8px;
    text-align: center;
    padding-top: 3rem;
    overflow: hidden;
}
.highlights .grid > div p{
    padding-inline: 1rem;
    margin-bottom: 0;
}
.highlights .grid > div p.h3{
    font-weight: 500;
}
.highlights .grid > div img{
    max-width: 100%;
    margin-top: auto;
}
.tv-stb{
    background-color: #E0E0E0;
    padding-block: 3rem 10rem;
}
.faqs{
    background-color: #EBEBEB;
    padding-block: 3rem 10rem;
}
.faqs .card-header button{
    border: 0;
    background: transparent;
    width: 100%;
    text-align: left;
    font-weight: 600;
}
.faqs .accordion .card{
    background-color: #E5E5E5;
    margin-bottom: 1rem;
    border-radius: 3px;
    border: 0;
}
.faqs .accordion .card .card-header{
    background-color: transparent;
    border: 0;
    padding-top: 1.5rem;
}
.faqs .accordion .card .card-header button{
    color: #3B4559;
}
.faqs .accordion .card .card-header button:before{
    content: "";
    position: absolute;
    right: 1rem;
    width: 20px;
    height: 20px;
    background: url("../img/chevron.png") no-repeat center/contain;
    transform: rotate(180deg);
    transition: transform .3s;
}
.faqs .accordion .card .card-header button.collapsed:before{
    transform: rotate(0deg);
}
.faqs .accordion .card .card-body{
    padding-top: 0;
    color: #3B4559;
}
.apps{
    padding-block: 4rem 3rem;
    border-top: 2rem solid #E0E0E0;
}
.apps img{
    width: 230px;
    border-radius: 6px;
}
.apps .apps-wrp{
    padding-block: 2rem 10rem;
}
.apps .tycs{
    color: #75787B;
    font-size: 12px;
}
@media(max-width: 767px){
    .h3{
        font-size: 24px;
    }
    .highlights .grid{
        grid-template-columns: 1fr;
    }
    .apps .apps-wrp{
        gap: 1rem;
    }
    .highlights,
    .tv-stb,
    .faqs,
    .apps .apps-wrp{
        padding-bottom: 4rem;
    }
}

/* ==========================================================================
   RESPONSIVO
========================================================================== */
@media (max-width: 768px) {
    .navbar {
        position: relative;
        padding: 0 20px;
        height: 60px;
    }

    .nav-logo .logo {
        width: auto;
        height: 28px;
    }

    #menu-toggle{
        position: absolute;
        right: 5%;
        z-index: 9999;
    }

    .menu-toggle {
        display: block !important;
        background: none;
        border: none;
        color: white;
        font-size: 1.5rem;
        cursor: pointer;
    }

    .menu-toggle {
        display: block; /* Solo se ve en móviles */
    }

    .nav-links {
        display: flex !important; /* Forzamos flex */
        flex-direction: column;
        position: fixed;
        top: 0;
        right: -100%; /* Totalmente fuera a la derecha */
        width: 100%;
        height: 100vh;
        background-color: #111;
        padding: 80px 40px;
        transition: all 0.4s ease-in-out;
        z-index: 1040;
    }

    /* Esta es la clase que el JS activa */
    .nav-links.active {
        right: 0 !important;
    }

    .nav-links a {
        font-size: 1.5rem; /* Letra más grande en móvil */
        margin-bottom: 25px;
    }

    .nav-phone{
        font-size: 18px;
        padding-right: 14%;
    }
    .fixed-sidebar{
        display: none;
    }

    /* Si las imágenes de banners internos son muy grandes */
    .main-footer{
        padding-bottom: 90px;
    }
    .footer-container{
        display: block;
        gap: 10px;
    }
    .footer-legal{
        text-align: center;
    }
    .footer-info{
        display: block;
        text-align: center;
    }
    .footer-logos{
        justify-content: center;
        margin: 20px 0;
    }
    .mobile-action-bar {
        display: flex;
    }

    /* Cuando llega al footer, podemos cambiar su estilo o posición */

    /*.action-btn {
        flex: 1;
        border: none;
        border-radius: 8px;
        font-weight: 700;
        font-size: clamp(0.7rem, 2.5vw, 0.9rem);
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 8px;
        cursor: pointer;
        text-decoration: none;
        text-transform: uppercase;
    }*/
    .btn-chat{
        width: 50%;
    }
    .btn-call{
        width: 50%;
    }
}
@media (max-width: 375px) {
    .nav-links {
        width: 100%;
    }
}
